#include <assert.h>
#include <stdio.h>
#include <string.h>

#define maxl 100000

char a[maxl + 1];
int i, n, ans;

int main() {
  assert(freopen("game.in", "r", stdin));
  assert(freopen("game.out", "w", stdout));

  assert(scanf("%s ", a) == 1);
  assert(feof(stdin));
  n = strlen(a);
  assert(1 <= n && n <= maxl);
  for (i = 0; i < n; i++)
    if (((n - i) % 2 == 0 && a[i] != (i == 0 ? '1' : '0')) || ((n - i) % 2 == 1 && a[i] != '9')) {
      ans = i % 2 == 0 ? 1 : 2;
      break;
    }
  // давайте забудем разбирать этот случай
  // if (i == n)
  //   ans = n % 2 == 0 ? 2 : 1;
  printf("%s\n", ans == 1 ? "First" : "Second");

  return 0;
}

